PUT List/PaymentTerm/Items/{id}/UserGroups
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
PUT /api/v1/List/PaymentTerm/Items/{itemId}/UserGroups
Saves user groups visible for the PaymentTerm list's item.
Calls the List agent service SaveHeadingsForListItemFromListDefinition.
| Path Part | Type | Description |
|---|---|---|
| itemId | int32 | The ID of the item to save. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entities
The headings to be saved.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | The Id of the ListItem |
| Name | String | The name of the ListItem |
| ToolTip | String | The tooltip of the ListItem |
| Deleted | Boolean | The deleted status of the ListItem |
| Rank | Integer | The rank of the ListItem |
| Type | String | The type of the ListItem. Custom field. |
| ColorBlock | Integer | The color indicator of the ListItem color block |
| IconHint | String | The Icon hint of the ListItem. Custom field. |
| Selected | Boolean | True if the ListItem is selected |
| LastChanged | String | Time of last change. |
| ChildItems | Array | The child items of the SelectableMDOListItem |
| ExtraInfo | String | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | String | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | Boolean | True if the ListItem is hidden |
| FullName | String | The name of the ListItem in its context |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/List/PaymentTerm/Items/{itemId}/UserGroups
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
[
{
"Id": 790,
"Name": "Leuschke Group",
"ToolTip": "Eligendi molestiae excepturi ut atque.",
"Deleted": false,
"Rank": 194,
"Type": "animi",
"ColorBlock": 342,
"IconHint": "repellendus",
"Selected": true,
"LastChanged": "2023-12-14T14:34:03.224756+01:00",
"ChildItems": [
{
"Id": 615,
"Name": "Shanahan, McCullough and Willms",
"ToolTip": "Placeat ut qui corporis saepe consequuntur sit.",
"Deleted": false,
"Rank": 458,
"Type": "ea",
"ColorBlock": 649,
"IconHint": "qui",
"Selected": true,
"LastChanged": "2021-06-27T14:34:03.224756+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "odit",
"StyleHint": "voluptatum",
"Hidden": false,
"FullName": "Dr. Kade McGlynn"
}
],
"ExtraInfo": "pariatur",
"StyleHint": "quisquam",
"Hidden": false,
"FullName": "Mrs. Bryana Wyatt Hane PhD"
}
]
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 401,
"Name": "Net 60",
"ToolTip": "Sit in in quas saepe accusamus voluptatum.",
"Deleted": true,
"Rank": 583,
"Type": "quis",
"ColorBlock": 260,
"IconHint": "voluptatem",
"Selected": true,
"LastChanged": "2002-06-30T14:34:03.224756+02:00",
"ChildItems": [
{
"Id": 176,
"Name": "Net 30",
"ToolTip": "Illo sit incidunt sed ut voluptas est.",
"Deleted": false,
"Rank": 304,
"Type": "iusto",
"ColorBlock": 261,
"IconHint": "quibusdam",
"Selected": false,
"LastChanged": "2005-04-21T14:34:03.224756+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "fugiat",
"StyleHint": "quia",
"Hidden": false,
"FullName": "Mrs. Jovan Ritchie",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 640
}
}
}
],
"ExtraInfo": "voluptatem",
"StyleHint": "perspiciatis",
"Hidden": false,
"FullName": "Beulah Carter",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 19
}
}
}
]